Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref.sax2dtm
Class SAX2DTM2.PrecedingSiblingIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.PrecedingSiblingIterator

Direct Known Subclasses:
  SAX2DTM2.TypedPrecedingSiblingIterator

public class SAX2DTM2.PrecedingSiblingIterator
extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns preceding siblings of a given node

Constructor Summary
`SAX2DTM2.PrecedingSiblingIterator()`

Method Summary
`boolean` | `isReverse()` True if this iterator has a reversed axis.
`int` | `next()` Get the next node in the iteration.
`DTMAxisIterator` | `setStartNode(int node)` Set start to END should 'close' the iterator, i.e.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2DTM2.PrecedingSiblingIterator

    public SAX2DTM2.PrecedingSiblingIterator()

Method Detail

### isReverse

    public boolean isReverse()

  True if this iterator has a reversed axis.
  Returns:
    true.
  Overrides:
    isReverse in class DTMAxisIteratorBase

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.